Hide GridBubble in View

I want to control the grid bubbles via Dynamo in Revit.
When I watch the Object Members of the Grids i can see the function,
but I can’t figure out how to run this method.
Can someone help me out.

4 Likes

Thanx Kulkul,
actually, with this script you change the Yes/No Type Parameter from the Grid Type.
I am looking for a way to change the visibility of the grid bubble per view.
Once the grid bubble is hidden, it can’t control it by type parameters

In that case check revit api class Autodesk.Revit.DB.DatumPlane.

DatumPlane.HideBubble() – Hides bubble in the specified view

I found that too.
See also the Object Members in the first screenshot.
But i want to know how to set up a script with that api class.

Do you need code for rvt 2016?

yes

This code controls “ticking” stuff:
http://paste.ofcode.org/TzUV8PDdtyRtC3zCSKSeqJ

5 Likes

@Tomasz_Puchala :+1:thanks for taking over this issue was busy bit.

@thurevit3 Kindly mark the post as solved. Thanks :slight_smile:

Attached is a script that will turn on/off grid heads based on the intersection of a detail line/spline drawn through the grids. The purpose of this is to determine whether the user intends to turn off End0 or End 1 of the Grid (because the end nearest the bottom of the page might not be consistently 0 or 1…).

Grid Head Changer.dyn (18.3 KB)

7 Likes

Hi, I can’t seem to get this script to work (link does not work anymore). Also, how can i modify script to turn GridBubbles ON. Thanks

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)

clr.ImportExtensions(Revit.GeometryConversion)

clr.AddReference("RevitServices")
import RevitServices

from RevitServices.Persistence import *
from RevitServices.Transactions import TransactionManager
from System.Collections.Generic import *

clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *

doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
app = uiapp.Application
uidoc = DocumentManager.Instance.CurrentUIApplication.ActiveUIDocument

a = UnwrapElement(IN[0])
v = UnwrapElement(IN[1])
TransactionManager.Instance.EnsureInTransaction(doc)
for i in a:
	i.HideBubbleInView(DatumEnds.End1,v)
	i.ShowBubbleInView(DatumEnds.End0,v)
	#i.HideBubble(b)
	
TransactionManager.Instance.TransactionTaskDone()

doc.Regenerate()

OUT = 0

Ah… I’m using Revit 2015. I assume api is different?

This script is created with Dynamo 1.2 and the Revit 2017 api.
The node TB_Show-Hide is actually the Python script.
The .dyn file is attached

Toggle Grid Bubbles.dyn (11.6 KB)

1 Like

Thanks for quick reply. I can only use Dynamo 1.0 and the project is in 2015.How can I change the script to work for 2015? Any advice would be great. Thanks

I don’t think you can, because this was a new feature of Revit API 2016. Sorry about that.

Those methods only work in 2016 and newer. The only way to do it pre-2016 was manually via the UI.

Thanks for the info guys

Hi,

Thank you for sharing. It works fine for me.

Sorry for replying in an old thread, but I recently ran into this problem and tried this Node.
I downloaded the packeges and got rid of all warnings, and the node looks exactly like in your screenshot. But nothing happends to my grid-bubbles when I run the node. Am I missing something?